Subject: Re: rebasing merges

From: Johannes Sixt <[email-masked]>
Date: Tue, 23 Sep 2008 10:00:09 +0200

Stephen Haberman schrieb:
>> This is the expected behavior and not up for debate.
> 
> Cool, thanks for the reply. However, I debate... :-)
> 
>>   ---o--o--o--o--o--o         <-- origin
>>                      \
>>                       A'--B'  <-- master
> 
> Nice. That makes sense in your scenario.
> 
> Here is mine:

I understand your problem very well. pull --rebase does not help your case
because it was not designed for your workflow (it was designed to help the
one that I sketched).

You are probably better served using fetch + rebase -i -p.

-- Hannes